Networks
Create a new network
Authorization<token>
User API key (Bearer scp_u_...). Create in Platform > API Keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/networks" \ -H "Content-Type: application/json" \ -d '{ "created_at": "2026-01-15T10:30:00Z", "credential_ids": [], "effective_stale_after_hours": 672, "id": "550e8400-e29b-41d4-a716-446655440002", "name": "Home Network", "organization_id": "550e8400-e29b-41d4-a716-446655440001", "stale_after_hours": null, "tags": [], "updated_at": "2026-01-15T10:30:00Z" }'{
"meta": {
"api_version": 1,
"server_version": "0.17.13"
},
"success": true,
"data": {
"created_at": "2026-01-15T10:30:00Z",
"credential_ids": [],
"effective_stale_after_hours": 672,
"id": "550e8400-e29b-41d4-a716-446655440002",
"name": "Home Network",
"organization_id": "550e8400-e29b-41d4-a716-446655440001",
"stale_after_hours": null,
"tags": [],
"updated_at": "2026-01-15T10:30:00Z"
},
"error": "string"
}